if benchmark == "ein" {
capture log close
log using $log/01_dataprep.log, replace
}



* 1. data preparation

* append all waves to each other to have one data set by generating the variable "jahr" (=year)
* choose the variables needed for this project
foreach y of numlist `=scalar(start)'/`=scalar(end)' {
append using "$orig/bhp_7517_m06_p50_v1_`y'.dta", keep(betnr grd_dat lzt_dat az_ges az_vz az_tz az_gf az_azubi az_atz te_imp_mw ao_bula)
cap gen jahr=.
replace jahr=`y' if jahr==.
}

* append the industrial classifications WZ93 and WZ08
merge 1:1 betnr jahr using "$orig/bhp_7517_m06_p50_wgen_v1.dta", keepusing(w93_3_gen w08_3_gen)
keep if _merge == 3 //nur die Beobachtungen behalten, die einen WZ haben
drop _merge

* append information about entries and exits (add-on to the baseline data)
merge 1:1 betnr jahr using "$orig/bhp_7517_m06_p50_entry_v1.dta", keepusing(eintritt betnr_vor status_vor)
keep if _merge == 3 | _merge == 1
drop _merge
merge 1:1 betnr jahr using "$orig/bhp_7517_m06_p50_exit_v1.dta", keepusing(austritt)
keep if _merge == 3 | _merge == 1
drop _merge

compress

* panel dimensions
xtset betnr jahr
xtsum


* add the information about entries and exits to the past observation of an establishment and to all future observations of an establishment
forval i =1/7 {
	by betnr: replace eintritt = `i' if eintritt[_n-1] == `i' & betnr[_n]==betnr[_n-1]
	by betnr: replace eintritt = `i' if eintritt[_n+1] == `i' & betnr[_n]==betnr[_n+1]
	by betnr: replace austritt = `i' if austritt[_n-1] == `i' & betnr[_n]==betnr[_n-1]
	by betnr: replace austritt = `i' if austritt[_n+1] == `i' & betnr[_n]==betnr[_n+1]
	}

	

sort betnr jahr
compress
save $data/bhp_panel_01_dataprep.dta, replace
