if benchmark == "ein" {
cap log close
log using $log/02_auxvariables.log, replace
}

******* 2. Auxiliar variables  *************************************************

use $data/bhp_panel_01_dataprep.dta, clear

* age of establishment (if the establishment is really a new formation)
gen grd_jahr=year(grd_dat)
gen Bestehen = jahr - grd_jahr
replace Bestehen = . if eintritt == .
replace Bestehen = . if eintritt < 4
replace Bestehen = . if eintritt == 7
gen Bestehen_all = jahr - grd_jahr


* Variables for market entry (including the lag k) and exit for MG analysis
by betnr: gen B = grd_jahr + k //B is year of entry plus k
by betnr: gen D = year(lzt_dat) //D is year of exit 

gen schl_jahr=year(lzt_dat)
drop grd_dat lzt_dat

* Set-up proxies
gen vzae = 1*az_vz + 0.5*az_tz + 0.25*az_gf + 0.5*az_azubi + 0.5*az_atz //full time equivalent
gen lohnsumme_vz = te_imp_mw * az_vz //payroll
replace lohnsumme_vz = 0 if az_vz == 0
drop az_tz az_azubi az_atz az_vz te_imp_mw

* Set the proxy choosen in the master file
gen proxy = 0
replace proxy = az_ges if Proxyauswahl == "az_ges"
replace proxy = lohnsumme_vz if Proxyauswahl == "lohnsumme_vz"
replace proxy = vzae if Proxyauswahl == "vzae"


* Set-up regions
gen byte region = 0 //West Germany without Berlin
replace region = 1 if ao_bula == 11 | ao_bula == 12 |ao_bula == 13 |ao_bula == 14 |ao_bula == 15 |ao_bula == 16 //East Germany including Berlin

* Set the region choosen in the master file
drop if region == 0 & regionenauswahl == "ost"
drop if region == 1 & regionenauswahl == "west"
drop region

* Set-up industrial classifications
* Industrial classification WZ 1993
gen sector93 = .
replace sector93 = 1 if w93_3 >= 10 & w93_3 <= 20 //Land- und Forstwirtschaft
replace sector93 = 2 if w93_3 >= 50 & w93_3 <= 50 //Fischerei und Fischzucht
replace sector93 = 3 if w93_3 >= 100 & w93_3 <= 145 //Bergbau und Gewinnung von Steinen und Erden
replace sector93 = 4 if w93_3 >= 150 & w93_3 <= 372 //Verarbeitendes Gewerbe
replace sector93 = 5 if w93_3 >= 400 & w93_3 <= 410 //Energie- und Wasserversorgung
replace sector93 = 6 if w93_3 >= 450 & w93_3 <= 455 //Baugewerbe
replace sector93 = 7 if w93_3 >= 500 & w93_3 <= 527 //Handel, Instandhaltung und Reparatur von Kraftfahrzeugen und Gebrauchsgütern
replace sector93 = 8 if w93_3 >= 550 & w93_3 <= 555 //Gastgewerbe
replace sector93 = 9 if w93_3 >= 600 & w93_3 <= 642 //Verkehr und Nachrichtenübermittlung
replace sector93 = 10 if w93_3 >= 650 & w93_3 <= 672 //Kredit- und Versicherungsgewerbe
replace sector93 = 11 if w93_3 >= 700 & w93_3 <= 748 //Grundstücks- und Wohnungswesen, Vermietung beweglicher Sachen, Erbringung von Dienstleistungen überwiegend für Unternehmen
replace sector93 = 12 if w93_3 >= 750 & w93_3 <= 753 //Öffentliche Verwaltung, Verteidigung, Sozialversicherung 
replace sector93 = 13 if w93_3 >= 800 & w93_3 <= 804 //Erziehung und Unterricht
replace sector93 = 14 if w93_3 >= 850 & w93_3 <= 853 //Gesundheits-, Veterinär- und Sozialwesen
replace sector93 = 15 if w93_3 >= 900 & w93_3 <= 930 //Erbringung von sonstigen öffentlichen und persönlichen Dienstleistungen
replace sector93 = 16 if w93_3 >= 950 & w93_3 <= 950 //Private Haushalte
replace sector93 = 17 if w93_3 >= 990 & w93_3 <= 990 //Exterritoriale Organisationen und Körperschaften
* Industrial classification WZ 2008
gen sector08 = .
replace sector08 = 1 if w08_3 >= 10 & w08_3 <= 32 //Land- und Forstwirtschaft, Fischerei
replace sector08 = 2 if w08_3 >= 50 & w08_3 <= 99 //Bergbau und Gewinnung von Steinen und Erden
replace sector08 = 3 if w08_3 >= 100 & w08_3 <= 332 //Verarbeitendes Gewerbe
replace sector08 = 4 if w08_3 >= 350 & w08_3 <= 353 //Energieversorgung
replace sector08 = 5 if w08_3 >= 360 & w08_3 <= 390 //Wasserversorgung; Abwasser- und Abfallentsorgung und Beseitigung von Umweltbeschmutzung
replace sector08 = 6 if w08_3 >= 410 & w08_3 <= 439 //Baugewerbe
replace sector08 = 7 if w08_3 >= 450 & w08_3 <= 479 //Handel, Instandhaltung und Reparatur von Kraftfahrzeugen und Gebrauchsgütern
replace sector08 = 8 if w08_3 >= 490 & w08_3 <= 532 //Verkehr und Lagerei
replace sector08 = 9 if w08_3 >= 550 & w08_3 <= 563 //Gastgewerbe
replace sector08 = 10 if w08_3 >= 580 & w08_3 <= 639 //Information und Kommunikation
replace sector08 = 11 if w08_3 >= 640 & w08_3 <= 663 //Erbringung von Finanz- und Versicherungsdienstleistungen
replace sector08 = 12 if w08_3 >= 680 & w08_3 <= 683 //Grundstücks- und Wohnungswesen
replace sector08 = 13 if w08_3 >= 690 & w08_3 <= 750 //Erbringung von Freiberuflichen, wissenschaftlichen und technischen Dienstleistungen
replace sector08 = 14 if w08_3 >= 770 & w08_3 <= 829 //Erbringung von sonstigen wirtschaftlichen Dienstleistungen
replace sector08 = 15 if w08_3 >= 840 & w08_3 <= 843 //Öffentliche Verwaltung, Verteidigung, Sozialversicherung 
replace sector08 = 16 if w08_3 >= 850 & w08_3 <= 856 //Erziehung und Unterricht
replace sector08 = 17 if w08_3 >= 860 & w08_3 <= 889 //Gesundheits- und Sozialwesen
replace sector08 = 18 if w08_3 >= 900 & w08_3 <= 932 //Kunst, Unterhaltung und Erholung
replace sector08 = 19 if w08_3 >= 940 & w08_3 <= 960 //Erbringung von sonstigen Dienstleistungen
replace sector08 = 20 if w08_3 >= 970 & w08_3 <= 990 //Private Haushaltemit Hauspersonal; Herstellung von Waren und Erbringung von Dienstleistungen durch private Haushalte für den Eigenbedarf ohne ausgeprägten Schwerpunkt; Exterritoriale Organisationen und Körperschaften


compress
save $data/bhp_raw_`=scalar(start)'_`=scalar(end)'.dta, replace
