if benchmark == "ein" {
	cap log close
	log using $log/05_mgvariables.log, replace 
	use $data/bhp_clean_`=scalar(start)'_`=scalar(end)'.dta, clear
	}


******* 5. Variables to calculate Missing Growths (MG) *************************

******** 5.1 Exiters ("e") 
* First step: create a dummy, 
* if dummy=1: the establishment is really shut down closure
* if dummy=0: the establishment is not (really) shut down closure
* Second step: Replace the dummy with the proxy
forval y = `=scalar(start)'/`=scalar(end)' { 
    gen byte e_`y'D = 0 //dummy
	replace e_`y'D = 1 if  austritt == 4 & jahr==`y' & D==`y'
	replace e_`y'D = 1 if austritt == 5 & jahr==`y' & D==`y'
	replace e_`y'D = 1 if austritt == 6 & jahr==`y' & D==`y'
	gen e_`y'E = proxy 
	replace e_`y'E = 0 if e_`y'D == 0
	drop e_`y'D
	egen e_`y' = total(e_`y'E)
	drop e_`y'E
	}
drop D
compress

******** 5.2 New Entries ("f")
* First step: create a dummy, 
* if dummy=1: the establishment is really a new entrant
* if dummy=0: the establishment is not (really) a new entrant
* Second step: Replace the dummy with the proxy
forval y = `=scalar(start)'/`=scalar(end)' {
	gen byte f_`y'D = 0 //dummy
	replace f_`y'D = 1 if eintritt == 4 & jahr==`y' & B==`y'
	replace f_`y'D = 1 if eintritt == 5 & jahr==`y' & B==`y' 
	replace f_`y'D = 1 if eintritt == 6 & jahr==`y' & B==`y'
	gen f_`y'E = proxy
	replace f_`y'E = 0 if f_`y'D == 0
	drop f_`y'D
	egen f_`y' = total(f_`y'E)
	drop f_`y'E
	}
drop B
compress

******** 5.3 Continuers ("x_s")
* First step: create a dummy, 
* if dummy=1: the establishment also existed last period
* if dummy=0: the establishment did not exist last period
* Second step: Replace the dummy with the proxy
forval y = `=scalar(start)+1'/`=scalar(end)' {
	gen byte x_s_`y'D = 0 //dummy
	replace x_s_`y'D = 1 if betnr[_n] == betnr[_n-1] & proxy[_n]>0 & proxy[_n-1]>0 & jahr[_n] == `y' & jahr[_n-1]==`y'-1 //use proxy>0 to check if the establishment existed last period 
	gen x_s_`y'E = proxy
	replace x_s_`y'E = 0 if x_s_`y'D == 0
	drop x_s_`y'D
	egen x_s_`y' = total(x_s_`y'E)
	drop x_s_`y'E
	}
compress

******** 5.4 Stayers (x_c) 
* if dummy=1: the establishment will also exist next period
* if dummy=0: the establishment will not exist next period
* Second step: Replace the dummy with the proxy
forval y = `=scalar(start)'/`=scalar(end)-1' {
	gen byte x_c_`y'D = 0
	replace x_c_`y'D = 1 if betnr[_n] == betnr[_n+1] & proxy[_n]>0 & proxy[_n+1]>0 & jahr[_n] == `y' & jahr[_n+1]==`y'+1 //use proxy>0 to check if the establishment exists next period 
	gen x_c_`y'E = proxy
	replace x_c_`y'E = 0 if x_c_`y'D == 0
	drop x_c_`y'D
	egen x_c_`y' = total(x_c_`y'E)
	drop x_c_`y'E
	}
compress

save $data/bhp_mgaux_`=scalar(start)'_`=scalar(end)'.dta, replace
