cap log close
log using $log/07_wzweige.log, replace

* 7. Sectoral MG and MG weighted with data on value added

* 7.1 Calculation of sectoral MG for both industrial classifications WZ93 & WZ08

use "$data/bhp_panel_01_dataprep.dta", clear
do "$prog/02_auxvariables.do" 
do "$prog/03_dataclean.do"

forval s = 2/15 {
	use "$data/bhp_clean_wz.dta", clear
	drop if sector93 != `s'	
	capture do "$prog/05_mgvariables"
	capture do "$prog/06_mgcalc"
	capture table jahr, contents(mean mg mean fallzahlen_mg) replace
	capture rename table1 mg
	capture rename table2 fallzahlen_mg
	compress
	save "$data/resultswz93_`s'.dta", replace
	}

forval s = 2/19 {
	use "$data/bhp_clean_wz.dta", clear
	drop if sector08 != `s'
	capture do "$prog/05_mgvariables"
	capture do "$prog/06_mgcalc"
	capture table jahr, contents(mean mg mean fallzahlen_mg) replace
	capture rename table1 mg
	capture rename table2 fallzahlen_mg
	compress
	save "$data/resultswz08_`s'.dta", replace
	clear
	}

* 7.2 Read in weights and format them appropriately

* WZ93
import excel using "$orig/WestGermany_ValueAddedSNA93_neu.xlsx"
drop if _n <= 9
rename A jahr
rename C sector0
rename D sector1
rename E sector2
rename F sector3
rename G sector4
rename H sector5
rename I sector6
rename J sector7
rename K sector8
rename L sector9
rename M sector10
rename N sector11
rename O sector12
rename P sector13
rename Q sector14
rename R sector15
rename S sector16
rename T sector17
drop B 
drop if _n == 22 
reshape long sector, i(jahr) j(sectorNEU)
rename sector sektorvolumen_wz93
rename sectorNEU sector_wz93
destring jahr, replace
destring sektorvolumen_wz93, replace
drop if jahr < 1980
save "$data/ab1970_gesamt.dta", replace
drop if sector_wz93 == 0
save "$data/ab1970_wz93.dta", replace
use "$data/ab1970_gesamt.dta", clear
keep if sector_wz93 == 0
drop sector
rename sektorvolumen_wz93 gesamtvolumen_wz93
compress
save "$data/ab1970_gesamt.dta", replace
clear

* WZ2008
import excel using "$orig/gesamtdeutschland_Inlandsproduktsberechnung_destatis.xlsx", sheet("3.2.1")
drop A C D AE
drop if _n<5
rename B sector_wz08
rename E sektorvolumen_wz081991
rename F sektorvolumen_wz081992
rename G sektorvolumen_wz081993
rename H sektorvolumen_wz081994
rename I sektorvolumen_wz081995
rename J sektorvolumen_wz081996
rename K sektorvolumen_wz081997
rename L sektorvolumen_wz081998
rename M sektorvolumen_wz081999
rename N sektorvolumen_wz082000
rename O sektorvolumen_wz082001
rename P sektorvolumen_wz082002
rename Q sektorvolumen_wz082003
rename R sektorvolumen_wz082004
rename S sektorvolumen_wz082005
rename T sektorvolumen_wz082006
rename U sektorvolumen_wz082007
rename V sektorvolumen_wz082008
rename W sektorvolumen_wz082009
rename X sektorvolumen_wz082010
rename Y sektorvolumen_wz082011
rename Z sektorvolumen_wz082012
rename AA sektorvolumen_wz082013
rename AB sektorvolumen_wz082014
rename AC sektorvolumen_wz082015
rename AD sektorvolumen_wz082016
drop if _n==1
keep if sector == "A" | sector == "B" | sector == "C"| sector == "D"| sector == "E"| sector == "37-39"| sector == "F"| sector == "G"| sector == "H"| sector == "I"| sector == "J"| sector == "K"| sector == "L"| sector == "M"| sector == "N"| sector == "O"| sector == "P"| sector == "Q"| sector == "R"| sector == "S"| sector == "T"| sector == "A bis T"
reshape long sektorvolumen_wz08, i(sector) j(jahr)
drop if sector_wz08 == "E"
replace sector_wz08 = "E" if sector_wz08 == "37-39"
replace sector_wz08 = "1" if sector == "A"
replace sector_wz08 = "2" if sector == "B"
replace sector_wz08 = "3" if sector == "C"
replace sector_wz08 = "4" if sector == "D"
replace sector_wz08 = "5" if sector == "E"
replace sector_wz08 = "6" if sector == "F"
replace sector_wz08 = "7" if sector == "G"
replace sector_wz08 = "8" if sector == "H"
replace sector_wz08 = "9" if sector == "I"
replace sector_wz08 = "10" if sector == "J"
replace sector_wz08 = "11" if sector == "K"
replace sector_wz08 = "12" if sector == "L"
replace sector_wz08 = "13" if sector == "M"
replace sector_wz08 = "14" if sector == "N"
replace sector_wz08 = "15" if sector == "O"
replace sector_wz08 = "16" if sector == "P"
replace sector_wz08 = "17" if sector == "Q"
replace sector_wz08 = "18" if sector == "R"
replace sector_wz08 = "19" if sector == "S"
replace sector_wz08 = "20" if sector == "T"
replace sector_wz08 = "gesamtvolumen_wz08" if sector_wz08 == "A bis T"
compress
save "$data/ab1991_gesamt.dta", replace
drop if sector_wz08 == "gesamtvolumen_wz08"
destring sector_wz08, replace
compress
save "$data/ab1991_wz08.dta", replace
use "$data/ab1991_gesamt.dta", clear
keep if sector_wz08 == "gesamtvolumen_wz08"
drop sector_wz08
rename sektorvolumen_wz08 gesamtvolumen_wz08
compress
save "$data/ab1991_gesamt.dta", replace
clear


***** 7.3 Read in sectoral MG results, append them to each other, append also
* the weights and save this new dataset 

* MG for industrial classification WZ93
foreach y of numlist 2/15 {
	capture append using "$data/resultswz93_`y'.dta"
	capture gen sector_wz93 = .
	capture replace sector_wz93 = `y' if sector_wz93 == .
	}
* add weights
merge 1:1 sector_wz93 jahr using "$data/ab1970_wz93.dta"
drop if _merge == 2
drop _merge
merge m:1 jahr using "$data/ab1970_gesamt.dta"
drop if _merge == 2
drop _merge
sort sector_wz93 jahr
drop betnr sector93 sector08
drop if jahr == 1975 | jahr == 2017
rename mg mg_wz93
rename fallzahlen_mg fallzahlen_mg_wz93
compress
save "$data/datensatz_wz93.dta", replace
clear


*MG for industrial classification WZ08
foreach y of numlist 2/19 {
	capture append using "$data/resultswz08_`y'.dta"
	capture gen sector_wz08 = .
	capture replace sector_wz08 = `y' if sector_wz08 == .
	}
* add weights
merge 1:1 sector_wz08 jahr using "$data/ab1991_wz08.dta"
drop if _merge == 2
drop _merge
merge m:1 jahr using "$data/ab1991_gesamt.dta"
drop if _merge == 2
drop _merge
sort sector_wz08 jahr
drop betnr sector93 sector08 
drop if jahr == 1975 | jahr == 2017
rename mg mg_wz08
rename fallzahlen_mg fallzahlen_mg_wz08
compress
save "$data/datensatz_wz08.dta", replace 
clear

***** 7.4 Append datasets that contain the results
use "$data/datensatz_wz93.dta", clear
merge m:m jahr using "$data/datensatz_wz08.dta"
keep if _merge == 3
drop _merge
order jahr sector_wz93 sector_wz08 mg_wz93 mg_wz08 sektorvolumen_wz93 sektorvolumen_wz08 gesamtvolumen_wz93 gesamtvolumen_wz08 fallzahlen_mg_wz93 fallzahlen_mg_wz08
sort jahr sector_wz93 sector_wz08
compress
save "$data/bhp_wzweige_gesamt.dta", replace

***** 7.5 Display results of sectoral MG

* Explanation for the FDZ:
* In this do-file, yearly missing growth is calculated for each sector, and
* for the two industrial classifications WZ93 and WZ08. 
* The calculation of MG is in the do-file 06_mgcalc in section 6.1, this do-file
* uses the auxiliar variables that are created in the do-file 05_mgvariables.
* The formula consists of two market shares, namely the market shares of the 
* so-called stayers (establishments that already existed in the previous period):
* x_s_`y'/(x_s_`y'+f_`y'),
* and so-called the continuers (establishments that will exist also next period):
* x_c_`y-1'/(x_c_`y-1'+e_`y-1').
* The number of cases are also calculated in the do-file 06_mgcalc section 6.3.
* The first column is the year, the second one MG and the third one the number 
* of cases.

* Prepare data to display results
sort sector_wz93 jahr
bysort sector_wz93 jahr: gen keep = _n
keep if keep == 1
drop keep
* Display results for WZ93
list sector_wz93 jahr mg_wz93 fallzahlen_mg_wz93

* Prepare data to display results
use "$data/bhp_wzweige_gesamt.dta", clear
sort sector_wz08 jahr
bysort sector_wz08 jahr: gen keep = _n
keep if keep == 1
drop keep
* Display results for WZ08
list sector_wz08 jahr mg_wz08 fallzahlen_mg_wz08



***** 7.6 Overall economy

***** 7.6.1 West Germany (1980-1990) using the industrial classification WZ93

* Calculate weights and number of cases 
use "$data/datensatz_wz93.dta", clear
drop if jahr > 1990
drop if jahr < 1980
sort jahr sector_wz93
gen mg_gewichtet_wz93 = mg_wz93 * sektorvolumen_wz93 / gesamtvolumen_wz93
bysort jahr: egen mg_total_wz93 = total(mg_gewichtet_wz93)
drop mg_gewichtet_wz93 mg_wz93 sektorvolumen_wz93 gesamtvolumen_wz93 sector_wz93
by jahr: egen fallzahlen_mg_total_wz93 = total(fallzahlen_mg_wz93)
drop fallzahlen_mg_wz93
compress

* Display results

*prepare data to display results
bysort jahr: gen keep = _n
keep if keep == 1 
drop keep

* Explanation for the FDZ:
* Here, yearly missing growth is calculated for each sector separately,
* in a next step, the sectoral missing growth is aggregated using sectoral 
* weights of value added. In the following table, this is done for West Germany
* using the industrial classification WZ93.
* Thus, the number of cases is just the sum of the number of cases in each sector.
* The calculation of MG is in the do-file 06_mgcalc in section 6.1, this do-file
* uses the auxiliar variables that are created in the do-file 05_mgvariables.
* The formula consists of two market shares, namely the market shares of the 
* so-called stayers (establishments that already existed in the previous period):
* x_s_`y'/(x_s_`y'+f_`y'),
* and so-called the continuers (establishments that will exist also next period):
* x_c_`y-1'/(x_c_`y-1'+e_`y-1').
* The number of cases are also calculated in the do-file 06_mgcalc section 6.3.
* The first column is the year, the second one MG and the third one the number 
* of cases.
list jahr mg_total_wz93 fallzahlen_mg_total_wz93



***** 7.6.2 Unified Germany (since 1998) using the industrial classification WZ08

* Calculate weights and number of cases 
use "$data/datensatz_wz08.dta", clear
drop if jahr < 1997
sort jahr sector_wz08
gen mg_gewichtet_wz08 = mg_wz08 * sektorvolumen_wz08 / gesamtvolumen_wz08
bysort jahr: egen mg_total_wz08 = total(mg_gewichtet_wz08)
drop mg_gewichtet_wz08 mg_wz08 sektorvolumen_wz08 gesamtvolumen_wz08 sector_wz08
by jahr: egen fallzahlen_mg_total_wz08 = total(fallzahlen_mg_wz08)
drop fallzahlen_mg_wz08
compress

* Display results

*prepare data to display results
bysort jahr: gen keep = _n
keep if keep == 1 //nur eine (nur die erste) Beobachtung pro Jahr behalten
drop keep

* Explanation for the FDZ:
* Here, yearly missing growth is calculated for each sector separately,
* in a next step, the sectoral missing growth is aggregated using sectoral 
* weights of value added. In the following table, this is done for Unified 
* Germany using the industrial classification WZ08.
* Thus, the number of cases is just the sum of the number of cases in each sector.
* The calculation of MG is in the do-file 06_mgcalc in section 6.1, this do-file
* uses the auxiliar variables that are created in the do-file 05_mgvariables.
* The formula consists of two market shares, namely the market shares of the 
* so-called stayers (establishments that already existed in the previous period):
* x_s_`y'/(x_s_`y'+f_`y'),
* and so-called the continuers (establishments that will exist also next period):
* x_c_`y-1'/(x_c_`y-1'+e_`y-1').
* The number of cases are also calculated in the do-file 06_mgcalc section 6.3.
* The first column is the year, the second one MG and the third one the number 
* of cases.
list jahr mg_total_wz08 fallzahlen_mg_total_wz08


* delete files that are not used anymore
clear
capture erase "$data/bhp_panel_`=scalar(start)'_`=scalar(end)'.dta"
capture erase $data/bhp_clean_wz.dta
capture erase $data/ab1970_gesamt.dta
capture erase $data/ab1970_wz93.dta
capture erase $data/ab1991_gesamt.dta
capture erase $data/ab1991_wz08.dta
capture erase $data/datensatz_wz93.dta
capture erase $data/datensatz_wz08.dta
forval s = 2/15 {
	capture erase $data/resultswz93_`s'.dta
	}
forval s = 2/19 {
	capture erase $data/resultswz08_`s'.dta
	}
capture erase $data/bhp_wzweige_gesamt.dta
