cap log close
log using $log/08_k.log, replace

*** 8. Robustness analysis with respect to k

* 8.1 Calculations
forval y = `=scalar(kmin)'/`=scalar(kmax)' {
	scalar k = `y'
	use "$data/bhp_panel_01_dataprep.dta", clear
	do "$prog/02_auxvariables.do"
	do "$prog/03_dataclean.do"
	use $data/bhp_clean_`=scalar(start)'_`=scalar(end)'.dta, clear
	do "$prog/05_mgvariables.do"
	use $data/bhp_mgaux_`=scalar(start)'_`=scalar(end)'.dta, clear
	do "$prog/06_mgcalc.do"
	rename mg mg_k`y'
	rename fallzahlen_mg fallzahlen_mg_k`y'
	compress
	save "$data/results_`y'.dta", replace
	clear
	}
capture erase "$data/bhp_clean_`=scalar(start)'_`=scalar(end)'.dta"
capture erase "$data/bhp_mgaux_`=scalar(start)'_`=scalar(end)'.dta" 


* 8.2 Append datasets that contain the results
use "$data/results_`=scalar(kmin)'.dta"
forval y = `=scalar(kmin)+1'/`=scalar(kmax)' {
	merge m:1 jahr using $data/results_`y'.dta
	drop _merge
	}

* 8.3 Display results

* Explanation for the FDZ:
* In this do-file, yearly missing growth is calculated for different values of
* the stabilization lag k.
* The calculation of MG is in the do-file 06_mgcalc in section 6.1, this do-file
* uses the auxiliar variables that are created in the do-file 05_mgvariables.
* The formula consists of two market shares, namely the market shares of the 
* so-called stayers (establishments that already existed in the previous period):
* x_s_`y'/(x_s_`y'+f_`y'),
* and so-called the continuers (establishments that will exist also next period):
* x_c_`y-1'/(x_c_`y-1'+e_`y-1').
* The number of cases are also calculated in the do-file 06_mgcalc section 6.3.
* The first column is the year, the second one MG and the third one the number 
* of cases.
forval y = `=scalar(kmin)'/`=scalar(kmax)' {
	list jahr mg_k`y' fallzahlen_mg_k`y'
	}

* delete files that are not used anymore
clear
forval y = `=scalar(kmin)'/`=scalar(kmax)' {
	capture erase $data/results_`y'.dta
	}
