cap log close
log using $log/09_proxy.log, replace

*** 9. Different proxies
* the two proxies for robustness are: full-time equivalent and payroll 

* 9.1 Calculations

forval y = 1/2 {
	if `y' == 1 scalar Proxyauswahl = "vzae"
	if `y' == 2 scalar Proxyauswahl = "lohnsumme_vz"
	use $data/bhp_panel_01_dataprep.dta, clear
	do "$prog/02_auxvariables.do"
	do "$prog/03_dataclean.do"
	use $data/bhp_clean_`=scalar(start)'_`=scalar(end)'.dta, clear
	do "$prog/05_mgvariables.do"	
	use $data/bhp_mgaux_`=scalar(start)'_`=scalar(end)'.dta, clear
	do "$prog/06_mgcalc.do"
	rename mg mg_`=scalar(Proxyauswahl)'
	rename fallzahlen_mg fallzahlen_mg_`=scalar(Proxyauswahl)'
	compress
	save "$data/results_`=scalar(Proxyauswahl)'.dta", replace
	clear
	}

capture erase "$data/bhp_clean_`=scalar(start)'_`=scalar(end)'.dta" 
capture erase "$data/bhp_mgaux_`=scalar(start)'_`=scalar(end)'.dta"

* 9.2 Append datasets that contain the results

use "$data/results_vzae.dta"
merge m:1 jahr using $data/results_lohnsumme_vz.dta
drop _merge


* 9.3 Display results

* Explanation for the FDZ:
* In this do-file, yearly missing growth is calculated for different proxies.
* The calculation of MG is in the do-file 06_mgcalc in section 6.1, this do-file
* uses the auxiliar variables that are created in the do-file 05_mgvariables.
* The formula consists of two market shares, namely the market shares of the 
* so-called stayers (establishments that already existed in the previous period):
* x_s_`y'/(x_s_`y'+f_`y'),
* and so-called the continuers (establishments that will exist also next period):
* x_c_`y-1'/(x_c_`y-1'+e_`y-1').
* The number of cases are also calculated in the do-file 06_mgcalc section 6.3.
* The first column is the year, the second one MG and the third one the number 
* of cases.

forval y = 1/2 {
	if `y' == 1 scalar Proxyauswahl = "vzae"
	if `y' == 2 scalar Proxyauswahl = "lohnsumme_vz"
	list jahr mg_`=scalar(Proxyauswahl)' fallzahlen_mg_`=scalar(Proxyauswahl)'
	}

* delete files that are not used anymore
clear
capture erase $data/results_vzae.dta
capture erase $data/results_lohnsumme_vz.dta
