cap log close
log using $log/10_region.log, replace

*** 11. MG in East and West Germany

* 11.1 Calculation

forval y = 1/2 {
	if `y' == 1 scalar regionenauswahl = "ost"
	if `y' == 2 scalar regionenauswahl = "west"
	use $data/bhp_panel_01_dataprep.dta, clear
	do "$prog/02_auxvariables.do"
	do "$prog/03_dataclean.do"
	use $data/bhp_clean_`=scalar(start)'_`=scalar(end)'.dta, clear
	do "$prog/05_mgvariables.do"	
	use $data/bhp_mgaux_`=scalar(start)'_`=scalar(end)'.dta, clear
	do "$prog/06_mgcalc.do"
	rename mg mg_`=scalar(regionenauswahl)'
	rename fallzahlen_mg fallzahlen_mg_`=scalar(regionenauswahl)'
	compress
	save "$data/results_`=scalar(regionenauswahl)'.dta", replace
	clear
	}
capture erase "$data/bhp_clean_`=scalar(start)'_`=scalar(end)'.dta"
capture erase "$data/bhp_mgaux_`=scalar(start)'_`=scalar(end)'.dta"

* 11.2 Append datasets that contain the results
use "$data/results_west.dta"
merge m:1 jahr using $data/results_ost.dta
drop _merge

replace mg_ost = 0 if jahr<1998 //results in East Germany only reliable since 1993+1+k (here: 1998)


* 11.3 Display results

* Explanation for the FDZ:
* In this do-file, yearly missing growth is calculated for East and West Germany 
* separately.
* The calculation of MG is in the do-file 06_mgcalc in section 6.1, this do-file
* uses the auxiliar variables that are created in the do-file 05_mgvariables.
* The formula consists of two market shares, namely the market shares of the 
* so-called stayers (establishments that already existed in the previous period):
* x_s_`y'/(x_s_`y'+f_`y'),
* and so-called the continuers (establishments that will exist also next period):
* x_c_`y-1'/(x_c_`y-1'+e_`y-1').
* The number of cases are also calculated in the do-file 06_mgcalc section 6.3.
* The first column is the year, the second one MG and the third one the number 
* of cases.

forval y = 1/2 {
	if `y' == 1 scalar regionenauswahl = "ost"
	if `y' == 2 scalar regionenauswahl = "west"
	list jahr mg_`=scalar(regionenauswahl)' fallzahlen_mg_`=scalar(regionenauswahl)'
	}

* delete files that are not used anymore
capture erase $data/results_ost.dta
capture erase $data/results_west.dta
